@import '../core/base';

.auth {
  @include flex(center, center);
  padding: 1.5rem;
  height: inherit;
  width: 100%;
  background-position: 100% 100%;
  background-repeat: no-repeat;
  background-color: #fff;
  background-size: contain;
  &__wrap {
    margin: 50px;
    position: relative;
  }
  &__container {
    background-color: $color-bg-gray;
    border-radius: .4rem;
    box-shadow: 0px .1rem .3rem 0 rgba(0,0,0,0.14);
    padding: 3.2rem;
    margin-top: 2rem;
    position: relative;
    text-align: center;
    margin: 0 auto;
    max-width: 34rem;
    overflow: hidden;
    width: 100%;
    @extend .scale-in-center;
    @include mobile-lg {
      padding: 1.5rem;
    }
    &_lg {
      max-width: 102.4rem;
    }
  }
  & &__progress {
    position: absolute;
    top: -.2rem;
    left: 0;
    width: 100%;
  }
  &__form {
    padding-bottom: 3.2rem;
    &_input{
      label{
        transform: translate(14px, 15px) scale(1);
        font-size: 1.4rem;
      }
      input{
        padding: 13px 15px;
      }
      fieldset{
        border-color: #CEE1F6 !important;
      }
    }
  }
  &__title {
    padding: 10px;
    font-weight: 700;
  }
  &__subtitle {
    font-size: 1.4rem;
    color: #899BB0;
    font-weight: normal;
  }
  &__button {
    width: 100%;
    margin-top: 1.5rem !important;
    text-transform: none !important;
  }
  &__error {
    position: relative;
    padding: 15px;
  }
  &__errorText {
    color: red;
    position: absolute;
    @extend .scale-in-center;
  }
  & a {
    font-weight: 400;
    margin-bottom: 10px;
    display: inline-block;
    
    &:hover {
      text-decoration: underline;
    }
  }
}

.scale-in-center {
	animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@keyframes scale-in-center {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}
